### Method

# Vte Terminal set_clear_background

since: 0.52

#### Declaration [src]

    void
    vte_terminal_set_clear_background (
      VteTerminal* terminal,
      gboolean setting
    )

#### Description [src]

Sets whether to paint the background with the background colour. The default is `TRUE`.

This function is rarely useful. One use for it is to add a background image to the terminal.

Available since: 0.52

#### Parameters

`setting`

  Type: `gboolean`

  Whether to clear the background.